Installer - Feature #27775

Add support for pre-defined tuning profiles for Foreman & Katello installations
09/03/2019 09:35 PM - Mike McCune

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 1.24.0
Difficulty: Fixed in Releases: 1.24.0
Triaged: No Found in Releases:
Bugzilla link: 1215390 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/411,
https://github.com/theforeman/foreman-i
nstaller/pull/387,
https://github.com/theforeman/foreman-i
nstaller/pull/398,
https://github.com/theforeman/foreman-i
nstaller/pull/404

Description

We need to be able to offer an easy route for users to tune Foreman & Katello with pre-defined custom-heira settings to reduce the
number of steps and errors required to change common configurations needed when Foreman is used in medium to large scale
environments.

Downstream has some example templates defined here for:

Medium 32G
Large 64G
Ex-Large 128G
2Ex-Large 256G
[[https://github.com/RedHatSatellite/satellite-support/tree/master/tuning-profiles]]

Through discussion with Ewoud he is proposing we add the ability to deliver similar pre-defined custom-heira templates but be able
to include them in the top level /etc/foreman-installer/custom-heira.yaml file via a one line parameter:

tuning::size: large

This would allow us to control the tuning templates and deliver new versions with users not having to change individual settings and
preserve changes as upgrades are delivered.

This relies on some changes outlined here to be able to implement:

To automatically provide the scenario info, we need to modify the
heira_configurer right here:

[[https://github.com/theforeman/kafo/blob/8b5c184fc278df90bc55a367982be1c1275f6639/lib/kafo/hiera_configurer.rb#L 75-L83]]

The above relies on an updated version of kafo and then requiring installer heirarchy modification outlined here:

https://github.com/theforeman/foreman-installer/blob/1f281337039e3e7d3c31d49935b23e7c0e2dad84/config/foreman-hiera.yaml#L 1
5

The example needs to gain a line or 2 describing it:

[[https://github.com/theforeman/foreman-installer/blob/develop/config/custom-hiera.yaml]]

Lastly, we will need to deliver the pre-defined tuning templates in an RPM as well as properly document this because upgrading
users who've modified custom-hiera.yaml will not get the new example.
Associated revisions

Revision 02cc94be - 10/18/2019 07:30 AM - Ewoud Kohl van Wijngaarden
Refs #27775 - Update to Kafo 4

Revision 5676453e - 10/31/2019 06:14 PM - Ewoud Kohl van Wijngaarden

Fixes #27775 - Introduce tuning for installation size

This introduces a --tuning parameter to Katello/Content proxies to
optimize for a small/medium/large installation. To achieve this, it
relies on Kafo 4 which allows setting custom facts which are usable in
the Hiera config.

Revision e453c01e - 11/25/2019 05:16 PM - Ewoud Kohl van Wijngaarden
Refs #27775 - avoid built in keyword new

History

#1 - 09/06/2019 03:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/387 added

#2 - 10/17/2019 12:33 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/398 added

#3 - 10/30/2019 12:51 PM - Tomer Brisker

- Target version set to 1.24.0

#4 - 10/31/2019 06:29 PM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#5 - 10/31/2019 06:30 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/404 added

#6 - 10/31/2019 06:33 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 1.24.0 added
- Fixed in Releases deleted (2.0.0)

#7 - 10/31/2019 07:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|5676453ec3226dff221cc1589a7118042fcdb843.

#8 - 11/04/2019 03:50 PM - Mike McCune
- Bugzilla link set to 1215390

#9 - 11/25/2019 05:17 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/411 added
